### Method

# FwupdPlugin PathStore build_filename

since: 2.1.1

#### Declaration [src]

    gchar*
    fu_path_store_build_filename (
      FuPathStore* self,
      GError** error,
      FuPathKind kind,
      ...
    )

#### Description [src]

Gets a fwupd-specific system path. These can be overridden with various environment variables, for instance `FWUPD_DATADIR`.

Available since: 2.1.1

This method is not directly available to language bindings.

#### Parameters

`error`

  Type: `GError`

  Optional return location for an error.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`kind`

  Type: `FuPathKind`

  A `FuPathKind` e.g. `FU_PATH_KIND_DATADIR_PKG`.

`...`

  Type: ``

  Pairs of string key values, ending with `NULL`.

#### Return value

Type: `gchar*`

A system path, or `NULL` if invalid.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.